DataForSEO Labs Google Available History


By calling this endpoint, you will find obtain a list of dates available for setting in the first_date and second_date fields of the Domain Metrics by Categories endpoint.

Pricing

Your account will not be charged for using this endpoint

checked GET

‌‌As a response of the API server, you will receive JSON-encoded data containing a tasks array with the information specific to the set tasks.

Field nameTypeDescription
versionstring

the current version of the API

status_codeinteger

general status code
you can find the full list of the response codes here
Note: we strongly recommend designing a necessary system for handling related exceptional or error conditions

status_messagestring

general informational message
you can find the full list of general informational messages here

timestring

execution time, seconds

costfloat

total tasks cost, USD

tasks_countinteger

the number of tasks in the tasks array

tasks_errorinteger

the number of tasks in the tasks array returned with an error

tasksarray

array of tasks

    idstring

task identifier
unique task identifier in our system in the UUID format

    status_codeinteger

status code of the task
generated by DataForSEO; can be within the following range: 10000-60000
you can find the full list of response codes here

    status_messagestring

informational message of the task
you can find the full list of general informational messages here

    timestring

execution time, seconds

    costfloat

cost of the task, USD

    result_countinteger

number of elements in the result array

    patharray

URL path

    dataobject

the data specified in the API call

    resultarray

array of objects containing results

        datestring

available date
indicates the date of the range available for setting in the Domain Metrics by Categories endpoint
example:
2022-05-16

Instead of ‘login’ and ‘password’ use your credentials from https://app.dataforseo.com/api-access

# Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access 
login="login" 
password="password" 
cred="$(printf ${login}:${password} | base64)" 
curl --location --request GET "https://api.dataforseo.com/v3/dataforseo_labs/google/available_history" 
--header "Authorization: Basic ${cred}"  
--header "Content-Type: application/json"
<?php
// You can download this file from here https://cdn.dataforseo.com/v3/examples/php/php_RestClient.zip
require('RestClient.php');
$api_url = 'https://api.dataforseo.com/';
try {
	// Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
	$client = new RestClient($api_url, null, 'login', 'password');
} catch (RestClientException $e) {
	echo "n";
	print "HTTP code: {$e->getHttpCode()}n";
	print "Error code: {$e->getCode()}n";
	print "Message: {$e->getMessage()}n";
	print  $e->getTraceAsString();
	echo "n";
	exit();
}
try {
	// using this method you can get the list of dates supported in the Domain Metrics by Categories endpoint
	// GET /v3/dataforseo_labs/google/available_history
	$result = $client->get('/v3/dataforseo_labs/google/available_history');
	print_r($result);
	// do something with result
} catch (RestClientException $e) {
	echo "n";
	print "HTTP code: {$e->getHttpCode()}n";
	print "Error code: {$e->getCode()}n";
	print "Message: {$e->getMessage()}n";
	print  $e->getTraceAsString();
	echo "n";
}
$client = null;
?>
const axios = require('axios');

axios({
    method: 'get',
    url: 'https://api.dataforseo.com/v3/dataforseo_labs/google/available_history',
    auth: {
        username: 'login',
        password: 'password'
    },
    headers: {
        'content-type': 'application/json'
    }
}).then(function (response) {
    var result = response['data']['tasks'][0]['result'];
    // Result data
    console.log(result);
}).catch(function (error) {
    console.log(error);
});
from random import Random
from client import RestClient
# You can download this file from here https://cdn.dataforseo.com/v3/examples/python/python_Client.zip

client = RestClient("login", "password")
# using this method you can get the list of dates supported in the Domain Metrics by Categories endpoint
# GET /v3/dataforseo_labs/google/available_history
response = client.get("/v3/dataforseo_labs/google/available_history")
# you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if response["status_code"] == 20000:
    print(response)
    # do something with result
else:
    print("error. Code: %d Message: %s" % (response["status_code"], response["status_message"]))
using Newtonsoft.Json;
using System;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;
using System.Threading.Tasks;

namespace DataForSeoDemos
{
    public static partial class Demos
    {
        public static async Task dataforseo_labs_status()
        {
            var httpClient = new HttpClient
            {
                BaseAddress = new Uri("https://api.dataforseo.com/"),
                // Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
                DefaultRequestHeaders = { Authorization = new AuthenticationHeaderValue("Basic", Convert.ToBase64String(Encoding.ASCII.GetBytes("login:password"))) }
            };
            // using this method you can get a list of endpoints
            // GET /v3/dataforseo_labs/google/available_history
            var response = await httpClient.GetAsync("/v3/dataforseo_labs/google/available_history");
            var result = JsonConvert.DeserializeObject(await response.Content.ReadAsStringAsync());
            // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
            if (result.status_code == 20000)
            {
                // do something with result
                Console.WriteLine(result);
            }
            else
                Console.WriteLine($"error. Code: {result.status_code} Message: {result.status_message}");
        }
    }
}

The above command returns JSON structured like this:

{
  "version": "0.1.20220720",
  "status_code": 20000,
  "status_message": "Ok.",
  "time": "0.0577 sec.",
  "cost": 0,
  "tasks_count": 1,
  "tasks_error": 0,
  "tasks": [
    {
      "id": "08111855-1535-0462-0000-edf04c21718d",
      "status_code": 20000,
      "status_message": "Ok.",
      "time": "0 sec.",
      "cost": 0,
      "result_count": 22,
      "path": [
        "v3",
        "dataforseo_labs",
        "google",
        "available_history"
      ],
      "data": {
        "api": "dataforseo_labs",
        "function": "available_history",
        "se": "google"
      },
      "result": [
        {
          "date": "2022-07-01"
        },
        {
          "date": "2022-06-01"
        },
        {
          "date": "2022-05-01"
        },
        {
          "date": "2022-04-01"
        },
        {
          "date": "2022-03-01"
        },
        {
          "date": "2022-02-01"
        },
        {
          "date": "2022-01-01"
        },
        {
          "date": "2021-12-01"
        },
        {
          "date": "2021-11-01"
        },
        {
          "date": "2021-10-01"
        },
        {
          "date": "2021-09-01"
        },
        {
          "date": "2021-08-01"
        },
        {
          "date": "2021-07-01"
        },
        {
          "date": "2021-06-01"
        },
        {
          "date": "2021-05-01"
        },
        {
          "date": "2021-04-01"
        },
        {
          "date": "2021-03-01"
        },
        {
          "date": "2021-02-01"
        },
        {
          "date": "2021-01-01"
        },
        {
          "date": "2020-12-01"
        },
        {
          "date": "2020-11-01"
        },
        {
          "date": "2020-10-01"
        }
      ]
    }
  ]
}